Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3309 - Rxvt doesn't seem to recognize the Rxvt*font0: "5x7" resource
Summary: Rxvt doesn't seem to recognize the Rxvt*font0: "5x7" resource
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rxvt
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-07 05:52 UTC by Marc MERLIN
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-13 01:04:04 UTC


Attachments (Terms of Use)

Description Marc MERLIN 1999-06-07 05:52:10 UTC
I am trying to switch from my custom compiled rxvts to the
one supplied with RH 6.0 (rxvt v2.6.PRE2). In order to get
the most of the settings that I compiled in my custom rxvt,
I used the Xresource support, and added the following to my
resources:

XTerm*background: black
XTerm*foreground: grey
XTerm*loginShell: true
XTerm*color4: #0000FF
Rxvt*inheritPixmap: true
Rxvt*saveLines: 8192
Rxvt*font: "6x10"
Rxvt*font0: "5x7"
Rxvt*font1: "6x10"
Rxvt*font2: "7x13"
Rxvt*font3: "8x16"
Rxvt*font4: "10x20"
Rxvt*font5: "12x24"

The resources work, except for inheritPixmap and
Rxvt*fontnum which are simply ignored

The font size selections are something I rather miss. If the
resource handling is just broken in rxvt, would you consider
the following settings for feature.h?

#ifdef
KANJI
# define NFONTS
3
# define FONT0_IDX
1
# define MFONT_LIST    "jiskan16", "k14",
"jiskan24"
# define NFONT_LIST    "8x16", "7x14",
"12x24"
#else
# ifdef
ZH
#  define NFONTS
3
#  define FONT0_IDX
1
#  define MFONT_LIST   "taipei16", "taipeik20",
"taipeik24"
#  define NFONT_LIST   "8x16", "10x20",
"12x24"
# else                         /* no Kanji or Big5 support
/
#  define NFONTS
6
#  define FONT0_IDX
1
#  undef
MFONT_LIST
#  define NFONT_LIST   "6x10", "5x7", "7x13", "8x16",
10x20", "12x24"
#
endif
#endif

Comment 1 Marc MERLIN 1999-06-08 04:10:59 UTC
I also found out that rxvt is hardwired to read ~/.Xresources instead
of taking into account resources that could have been defined
elsewhere (/etc/X11/xinit/Xresources), and taking
/usr/lib/X11/app-defaults/Rxvt into account. Those two can be enabled
at compile time.

Comment 2 Jeff Johnson 1999-06-13 01:04:59 UTC
Fixed (by adding --enable-xgetdefault) in rxvt-2.6.0-1. Thanks for the
pointer.


Note You need to log in before you can comment on or make changes to this bug.